<template>
    <div class="popup_success_window">
        <menu-component></menu-component>

        <div class="message">
            <div class="title_message">{{$t('message.package_created')}}</div>

            <div class="package_number">№ {{en}}</div>

            <div class="controls">

                <div class="actions">
                    <router-link to="/package/create" class="button">{{$t('message.new_package')}}</router-link>
                    <router-link to="/" class="button">{{$t('message.to_main')}}</router-link>
                </div>
            </div>
        </div>

    </div>
</template>

<script>
    import LogoSquares from '../svg/LogoSquares';
    import Plus from '../svg/Plus';

    export default {
        name: "success",
        components: {
            "logo-squares": LogoSquares,
            "plus-svg": Plus
        },
        computed: {
            en: function () {
                return this.$store.state.en;
            }
        },
        beforeDestroy() {
            this.$store.dispatch('setOrderStatus', {ttn: null, number: null})
        },
        mounted() {
            if(!this.en) {
                this.$router.push('/package/create')
            }
        }
    }

</script>
